% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/stability.R
\name{canberra}
\alias{canberra}
\title{Canberra Distance}
\usage{
canberra(x, y)
}
\arguments{
\item{x}{numeric vector of ranks}

\item{y}{numeric vector of ranks with compatible length to x}
}
\value{
Returns the canberra distance for the two vectors
}
\description{
Calculates canberra distance between two vectors.  In brief,
the higher the canberra distance the greater the 'distance' between the
two vectors (i.e. they are less similar).
}
\note{
The \code{\link{canberra_stability}} function is used
internally to return the canberra metric.
}
\examples{
# Canberra demo
v1 <- seq(10)
v2 <- sample(v1, 10)
canberra(v1, v2)

canberra_stability(v1, v2)
}
\author{
Charles E. Determan Jr.
}
\references{
Jurman G., Merler S., Barla A., Paoli S., Galea A., &
Furlanello C. (2008) \emph{Algebraic stability indicators for ranked lists
in molecular profiling}. Bioinformatics 24(2): 258-264.

He. Z. & Weichuan Y. (2010) \emph{Stable feature selection for biomarker
discovery}. Computational Biology and Chemistry 34 215-225.
}

